Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519966 - Missing policy for mysqld_safe_helper
Summary: Missing policy for mysqld_safe_helper
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 27
Hardware: All
OS: Linux
urgent
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-01 19:38 UTC by Honza Horak
Modified: 2018-01-02 16:49 UTC (History)
12 users (show)

Fixed In Version: selinux-policy-3.13.1-283.19.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1464803
Environment:
Last Closed: 2018-01-02 16:49:38 UTC


Attachments (Terms of Use)

Description Honza Horak 2017-12-01 19:38:31 UTC
It looks like the fix for #1464803 never got to fedora package. Although mysqld_safe is not used currently by default in the mariadb.service, I think it should still make sense to have it in fedora.

+++ This bug was initially created as a clone of Bug #1464803 +++

Description of problem:

Upstream introduced a new small binary called "mysqld_safe_helper", that is run from "mysqld_safe" script. This binary is only responsible for safe logging -- dropping root permissions, so it requires setuid and setgid capability. Another thing is that this binary does not have any context defined:

#> ll -Z /usr/bin/mysqld_safe_helper
-rwxr-xr-x. root root system_u:object_r:bin_t:s0       /usr/bin/mysqld_safe_helper

Rest of the bug #1464803 removed for simplicity.

Comment 1 Fedora Update System 2017-12-13 08:29:34 UTC
selinux-policy-3.13.1-283.18.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8225c4e502

Comment 2 Fedora Update System 2017-12-14 11:13:43 UTC
selinux-policy-3.13.1-283.18.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8225c4e502

Comment 3 Fedora Update System 2017-12-20 11:27:26 UTC
selinux-policy-3.13.1-283.19.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8225c4e502

Comment 4 Fedora Update System 2017-12-21 20:22:42 UTC
selinux-policy-3.13.1-283.19.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8225c4e502

Comment 5 Fedora Update System 2018-01-02 16:49:38 UTC
selinux-policy-3.13.1-283.19.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.